# List order items for an order

Retrieves a list of order items for an order.
In the response, `items.ref` contains the order item reference. Use the order item reference to interact with a specific order item, for example, to retrieve or update it.

Endpoint: GET /v2.1/orders/{orderRef}/orderItems
Version: v2.1
Security: BasicAuth

## Security:

  - `BasicAuth` (unknown)
    http basic

## Path parameters:

  - `orderRef` (string, required)

## Query parameters:

  - `expand` (array)

  - `offset` (object)

  - `limit` (object)

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json):

  - `offset` (integer)
    The request's offset.
    Example: 0

  - `limit` (integer)
    The request's limit.
    Example: 10

  - `first` (object)
    The request's first list of order items URL.

  - `first.href` (string)
    Example: https://api-engage-eu.sitecorecloud.io/v2.1/orderItems/111d106a-feff-42b2-90fb-a6ed136ec333

  - `last` (object)
    The request's last list of order items URL.

  - `last.href` (string)
    Example: https://api-engage-eu.sitecorecloud.io/v2.1/orderItems/111d106a-feff-42b2-90fb-a6ed136ec333

  - `next` (object)
    The request's next list of order items URL.

  - `next.href` (string)
    Example: https://api-engage-eu.sitecorecloud.io/v2.1/orders/111d106a-feff-42b2-90fb-a6ed136ec333/orderItems?offset=1&limit=10

  - `href` (string)
    The request's URL.
    Example: https://api-engage-eu.sitecorecloud.io/v2.1/orders/cadd106a-feff-42b2-90fb-a6ed136ece51/orderItems?offset=0&limit=10

  - `items` (array)

  - `items.href` (string)
    Example: https://api-engage-eu.sitecorecloud.io/v2.1/orderItems/111d106a-feff-42b2-90fb-a6ed136ec333

## Response 401:

  - `401` (unknown)
    Unauthorized request

## Response 401 fields (application/json):

  - `status` (string)
    The HTTP request status.
    Example: UNAUTHORIZED

  - `code` (integer)
    The HTTP response status code.
    Example: 401

  - `message` (string)
    Error description.
    Example: Authentication credentials are required to access the resource. All requests must be authenticated.

  - `moreInfoUrl` (string)
    URL to get more information about the error.
    Example: https://support.sitecore.com

